## ros-one-gazebo-ros-control 2.9.3-0jammy.20251023.1025

=== debian/changelog ===
ros-one-gazebo-ros-control (2.9.3-0jammy.20251023.1025) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Thu, 23 Oct 2025 10:25:15 +0000

ros-one-gazebo-ros-control (2.9.3-0jammy) jammy; urgency=high

  * Noetic: Add <deprecated> tag to package.xml files (#1566 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1566>)
    These packages are now deprecated with Gazebo classic 11 reaching
    end-of-life. This adds the <deprecated> tag (https://www.ros.org/reps/rep-0149.html#deprecated)
    enabling tools to notify users about the deprecation.
  * Typo in error message (#1564 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1564>)
  * Add ahcorde as maintainer (noetic-devel) (#1437 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1437>)
  * Contributors: Addisu Z. Taddese, DaWiz, Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 26 Feb 2025 00:00:00 -0000

ros-one-gazebo-ros-control (2.9.2-0jammy) jammy; urgency=high

  * colcon.pkg: build gazebo first in colcon workspace (#1135 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1135>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
  * Contributors: Steve Peters

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 21 Apr 2021 00:00:00 -0000

ros-one-gazebo-ros-control (2.9.1-0jammy) jammy; urgency=high



 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 20 May 2020 00:00:00 -0000

ros-one-gazebo-ros-control (2.9.0-0jammy) jammy; urgency=high

  * restrict Windows header namespace. (#1023 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1023>)
  * [Windows][melodic-devel] more Windows build break fix (#975 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/975>)
    * Fix CMake install error for Windows build.
    * conditionally include <sys/time.h>
  * Contributors: Sean Yen

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Tue, 19 May 2020 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.5-0jammy) jammy; urgency=high

  * use C++11 std sleep instead of usleep. (#877 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/877>)
  * Lower minimum cmake version (#817 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/817>)
  * Contributors: Paul Bovbel, Sean Yen [MSFT]

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Tue, 04 Jun 2019 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.4-0jammy) jammy; urgency=high



 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Fri, 06 Jul 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.3-0jammy) jammy; urgency=high

  * Remove legacy in gazebo_ros_control for robotNamespace (#709 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/709>)
    See pull request #637 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/637>
  * Contributors: Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Mon, 04 Jun 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.2-0jammy) jammy; urgency=high

  * Fix the build on Ubuntu Artful. (#715 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/715>)
    Artful has some bugs in its cmake files for Simbody that
    cause it to fail the build.  If we are on artful, remove
    the problematic entries.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 09 May 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.1-0jammy) jammy; urgency=high

  * Don't ignore robotNamespace in gazebo_ros_control nodes (lunar-devel) (#706 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/706>)
    This commit restores the intended behavior, i.e., the parameters will now read from <robot_name>/..., where <robot_name> is specified via the robotNamespace plugin parameter or the parent name.
  * add physics type for dart with joint velocity interface (#701 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/701>)
  * Contributors: Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Sat, 05 May 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.7.4-0jammy) jammy; urgency=high

  * Fix last gazebo8 warnings! (lunar-devel) (#664 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/664>)
  * Fix gazebo8 warnings part 7: retry #642 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/642> on lunar (#660 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/660>)
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Mon, 12 Feb 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.7.3-0jammy) jammy; urgency=high

  * Replace Events::Disconnect* with pointer reset (#626 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/626>)
  * Contributors: Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Mon, 11 Dec 2017 00:00:00 -0000

ros-one-gazebo-ros-control (2.7.2-0jammy) jammy; urgency=high

  * Revert gazebo8 changes in Lunar and back to use gazebo7 (#583 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/583>)
  * Contributors: Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Sun, 21 May 2017 00:00:00 -0000

ros-one-gazebo-ros-control (2.7.1-0jammy) jammy; urgency=high

  * Fixes for compilation and warnings in Lunar-devel  (#573 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/573>)
    Multiple fixes for compilation and warnings coming from Gazebo8 and ignition-math3

