=== debian/control ===
Source: ros-one-gazebo-ros-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernández Cordero <ahcorde@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin, ros-one-control-toolbox, ros-one-controller-manager, ros-one-gazebo-dev, ros-one-hardware-interface, ros-one-joint-limits-interface, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs, ros-one-transmission-interface, ros-one-urdf
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-one-gazebo-ros-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-angles, ros-one-control-toolbox, ros-one-controller-manager, ros-one-gazebo-ros, ros-one-hardware-interface, ros-one-joint-limits-interface, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs, ros-one-transmission-interface, ros-one-urdf
Description: gazebo_ros_control
